<script type="text/javascript">
    RED.nodes.registerType('robomow-api',{
        category: 'function',
        color: '#a6bbcf',
        defaults: {
            username: {value:"", required:true},
            password: {value:"", required:true}
        },
        inputs:1,
        outputs:1,
        icon: "file.png",
        label: function() {
            return this.username||" @robomow-api";
        }
    });
</script>

<script type="text/html" data-template-name="robomow-api">
    <div class="form-row">
        <label for="node-input-username"><i class="icon-tag"></i> Username</label>
        <input type="text" id="node-input-username" placeholder="Username">
        <label for="node-input-password"><i class="icon-tag"></i> Password</label>
        <input type="password" id="node-input-password" placeholder="password">
    </div>
</script>

<script type="text/html" data-help-name="robomow-api">
    <p>A simple node that fetches the informations of your robomow.</p>
</script>
